# $Revision: 1.54 $, $Date: 2012/01/15 22:48:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Font
%define		pnam	TTF
Summary:	Font::TTF - Perl module for TrueType font hacking
Summary(pl.UTF-8):	Font::TTF - moduł Perla do operacji na fontach TrueType
Name:		perl-Font-TTF
Version:	0.48
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Font/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	56d614d04e985558d1518b8f4b29254e
URL:		http://search.cpan.org/dist/Font-TTF/
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Font::TTF is a Perl module for TrueType font hacking. In short, you
can do almost anything with a standard TrueType font with this module.

%description -l pl.UTF-8
Font::TTF - moduł Perla do operacji na fontach TrueType. W skrócie,
używając tego modułu można zrobić niemal wszystko ze standardowym
fontem TrueType.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.TXT lib/Font/TTF/Changes
%dir %{perl_vendorlib}/Font/TTF
%dir %{perl_vendorlib}/Font/TTF/Kern
%dir %{perl_vendorlib}/Font/TTF/Mort
%{perl_vendorlib}/Font/TTF.pm
%{perl_vendorlib}/Font/TTF/*.pm
%{perl_vendorlib}/ttfmod.pl
%{perl_vendorlib}/Font/TTF/Kern/*.pm
%{perl_vendorlib}/Font/TTF/Mort/*.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Font-TTF.spec,v $
Revision 1.54  2012/01/15 22:48:15  zbyniu
- up to 0.48

Revision 1.53  2009/06/23 10:58:49  amateja
- updated to 0.45

Revision 1.52  2007/12/24 13:31:17  qboosh
- generic URL

Revision 1.51  2007-12-24 00:05:08  zbyniu
- up to 0.43

Revision 1.50  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.48  2005/05/31 16:56:03  petec
- up to 0.35
- no files in _bindir

Revision 1.47  2004/11/03 22:30:23  paladine
- formatting

Revision 1.46  2004/11/02 10:20:01  adamg
- get rid of pod documentation
- release 2

Revision 1.45  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.44  2004/04/20 21:44:04  ankry
- summary/description/license fixes

Revision 1.43  2004/04/13 19:11:12  adamg
- new style bconds

Revision 1.42  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.41  2003/09/15 11:42:37  adamg
- updated to 0.34

Revision 1.40  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.39  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.35  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.34  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.33  2003/02/18 15:32:32  ankry
- massive attack: change CPAN URLs

Revision 1.32  2002/10/28 15:43:09  ankry
- version 0.32, removed obsolete patch

Revision 1.31  2002/09/26 17:10:38  ankry
- added tests on bcond
- translations, cleaning
- version 0.31, release 1

Revision 1.30  2002/07/12 22:29:57  ankry
- added patch (perl-Font-TTF-AATutils.patch) fixing AATutils.pm module
  location
- release 2

Revision 1.29  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.28  2002/07/11 07:59:24  depesz
- new version; should work; STBR

Revision 1.27  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.26  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.25  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.22  2002/02/10 15:26:27  depesz
adapterized

Revision 1.21  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/10/01 09:49:45  mis
- autoupdated to 0.26

Revision 1.19  2001/08/20 09:24:35  mis
- autoupdated to 0.24

Revision 1.18  2001/06/19 09:52:39  mis
- autoupdated to 0.23

Revision 1.17  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.16  2001/04/17 23:54:45  baggins
- buildrequires perl-XML-Parser
- fixed %%files
- fixed module names (AAT patch)

Revision 1.15  2001/04/17 12:09:22  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/04/10 19:28:18  mis
- autoupdated to 0.22

Revision 1.12  2001/03/29 08:04:32  mis
- autoupdated to 0.21

Revision 1.11  2001/02/05 22:07:49  kloczek
- remove outdated man patch,
- rename in %%prep lib/font/ttf to lib/Font/TTF,
- updated %%files (removed %%{perl_sitelib}/Ttfmod.pl).

Revision 1.10  2001/02/05 21:43:39  kloczek
- fixed base build directory name.

Revision 1.9  2001/02/05 21:15:04  kloczek
- updated to 0.20.

Revision 1.8  2001/01/04 19:31:00  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
